/* ScummVM - Graphic Adventure Engine
 *
 * ScummVM is the legal property of its developers, whose names
 * are too numerous to list here. Please refer to the COPYRIGHT
 * file distributed with this source distribution.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 */

#include "titanic/moves/enter_bomb_room.h"

namespace Titanic {

BEGIN_MESSAGE_MAP(CEnterBombRoom, CMovePlayerTo)
	ON_MESSAGE(MouseButtonDownMsg)
END_MESSAGE_MAP()

CEnterBombRoom::CEnterBombRoom() : CMovePlayerTo(), _fieldC8(0) {
}

void CEnterBombRoom::save(SimpleFile *file, int indent) {
	file->writeNumberLine(1, indent);
	CMovePlayerTo::save(file, indent);
}

void CEnterBombRoom::load(SimpleFile *file) {
	file->readNumber();
	CMovePlayerTo::load(file);
}

bool CEnterBombRoom::MouseButtonDownMsg(CMouseButtonDownMsg *msg) {
	changeView("Titania.Node 2.SE");
	changeView(_destination);
	return true;
}

} // End of namespace Titanic
